Send Cryptocurrency
curl --request POST \
--url https://api.example.com/merchant/wallet/sendimport requests
url = "https://api.example.com/merchant/wallet/send"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/merchant/wallet/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 400,
"code": "INSUFFICIENT_BALANCE",
"message": "Insufficient wallet balance"
},
"data": null
}
Wallet
Send Cryptocurrency
Send cryptocurrency to external address
POST
/
merchant
/
wallet
/
send
Send Cryptocurrency
Send cryptocurrency from the merchant wallet to an external address.
string
required
Destination cryptocurrency address
string
required
Amount to send
string
required
Cryptocurrency to send (BTC, ETH, LTC, SOL)
boolean
Whether to subtract fee from amount
boolean
Indicates if the request was successful
object
Transaction details
string
Transaction hash
string
Transaction fee
Example Request
curl -X POST https://api.transaction.gg/merchant/wallet/send \
-H "Authorization: Bearer sk_your_secret_key" \
-H "Content-Type: application/json" \
-d '{
"destination": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
"amount": "0.001",
"coin": "BTC",
"subtractFee": true
}'
Example Response
{
"success": true,
"data": {
"txHash": "abc123...",
"fee": "0.0001",
"amount": "0.001",
"destination": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
}
}
Error Responses
{
"success": false,
"error": {
"status": 400,
"code": "INSUFFICIENT_BALANCE",
"message": "Insufficient wallet balance"
},
"data": null
}
⌘I